#### Integrations

##### Securonix

- Added support for Incident Mirroring. With version, 2.0.0 users can mirror the incidents comments, attachments & states across the platforms(Securonix & XSOAR).

- Added support for fetching threats from Securonix which will fetch Securonix Threats (with related violations) as XSOAR Incidents.

- Added a configurable retry mechanism for fetching incidents and performing actions using commands.

- Improved implementation of the token re-generation logic, now will generate a token every 24 hours instead of generating it for each API call.

- Added support for CRUD operation on Securonix Whitelist.
**securonix-whitelists-get**
**securonix-whitelist-entry-list**
**securonix-whitelist-entry-add**
**securonix-whitelist-entry-delete**
**securonix-whitelist-create**

- Added support for CRUD operation on Securonix Lookup tables.
**securonix-lookup-table-config-and-data-delete**
**securonix-lookup-tables-list**
**securonix-lookup-table-entry-add**
**securonix-lookup-table-entries-list**
**securonix-lookup-table-create**

- Updated the Docker image to: *demisto/python3:3.10.10.48392*.


#### Incident Fields

- **Securonix Risk Score**
- **Securonix Category**
- **Securonix Case Create Time**
- **Securonix Tenant Color**
- **Securonix Resource Name**
- **Securonix Violation Count**
- **Securonix Incident ID**
- **Securonix Bulk Action Allowed**
- **Securonix Parent Case ID**
- **Securonix Entity ID**
- **Securonix Policies**
- **Securonix Sandbox Policy**
- **Securonix Watchlisted**
- **Securonix Incident Type**
- **Securonix ResourceGroup Name**
- **Securonix Status Completed**
- **Securonix Case Event End Time**
- **Securonix Reason**
- **Securonix Last Update Date**
- **Securonix Close Incident**
- **Securonix Violator**
- **Securonix Violation Spotter Query**
- **Securonix Is Whitelisted**
- **Securonix Tenant ID**
- **Securonix Tenant Short Code**
- **Securonix Entity**
- **Securonix Workflow Name**
- **Securonix Violator Text**
- **Securonix Threat Generation Time**
- **Securonix Violator ID**
- **Securonix Violator Sub Text**
- **Securonix Incident Status**
- **Securonix Resource Type**

#### Incident Types

- **Securonix Incident**
- **Securonix Threat**

#### Layouts

##### New: Securonix Incident Information

- Added a layout for Securonix Incident Information. (Available from Cortex XSOAR 6.5.0).

##### New: Securonix Threat

- Added a layout for Securonix Threat Information. (Available from Cortex XSOAR 6.5.0).

#### Mappers

##### New: Securonix Threat - Incoming Mapper

- Added a mapper to map the Securonix threat fields with custom fields. (Available from Cortex XSOAR 6.5.0).

##### New: Securonix Incident - Incoming Mapper

- Added a mapper to map the Securonix incident fields with custom fields. (Available from Cortex XSOAR 6.5.0).

#### Playbooks

##### New: Update Incident Status And Fetch Attachments - Securonix

- Added a playbook to fetch the attachments for the incident. Also, it updates the state of the Securonix incident based on the configuration provided in integration configuration. (Available from Cortex XSOAR 6.5.0).

##### New: Fetch Threat Violations - Securonix

- Added a playbook to fetch violations related to threat. (Available from Cortex XSOAR 6.5.0).

#### Scripts

##### New: SecuronixCloseHistoricalXSOARIncidents

- Added an automation script to close historical XSOAR incidents that are already closed on Securonix. (Available from Cortex XSOAR 6.5.0).

##### New: SecuronixGetViolations

- Added an automation script to get a list of violations related to a specific threat from the context data and displays it in the layout. (Available from Cortex XSOAR 6.5.0).

##### New: UpdateSecuronixIncidentStatus

- Added an automation script to update the status of the Securonix incident using the configuration provided in integration configuration. (Available from Cortex XSOAR 6.5.0).
